Create a port-out related report
Generate reports about port-out operations.
POST
/
portouts
/
reports
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const report = await client.portouts.reports.create({
params: { filters: {} },
report_type: 'export_portouts_csv',
});
console.log(report.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
report = client.portouts.reports.create(
params={
"filters": {}
},
report_type="export_portouts_csv",
)
print(report.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
report, err := client.Portouts.Reports.New(context.TODO(), telnyx.PortoutReportNewParams{
Params: telnyx.ExportPortoutsCsvReportParam{
Filters: telnyx.ExportPortoutsCsvReportFiltersParam{},
},
ReportType: telnyx.PortoutReportNewParamsReportTypeExportPortoutsCsv,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", report.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portouts.reports.ExportPortoutsCsvReport;
import com.telnyx.sdk.models.portouts.reports.ReportCreateParams;
import com.telnyx.sdk.models.portouts.reports.ReportCreateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReportCreateParams params = ReportCreateParams.builder()
.params(ExportPortoutsCsvReport.builder()
.filters(ExportPortoutsCsvReport.Filters.builder().build())
.build())
.reportType(ReportCreateParams.ReportType.EXPORT_PORTOUTS_CSV)
.build();
ReportCreateResponse report = client.portouts().reports().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
report = telnyx.portouts.reports.create(params: {filters: {}}, report_type: :export_portouts_csv)
puts(report)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$report = $client->portouts->reports->create(
params: [
'filters' => [
'createdAtGt' => new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
'createdAtLt' => new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
'customerReferenceIn' => ['my-customer-reference'],
'endUserName' => 'McPortersen',
'phoneNumbersOverlaps' => ['+1234567890'],
'statusIn' => ['pending'],
],
],
reportType: 'export_portouts_csv',
);
var_dump($report);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx portouts:reports create \
--api-key 'My API Key' \
--params '{filters: {}}' \
--report-type export_portouts_csvcurl --request POST \
--url https://api.telnyx.com/v2/portouts/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report_type": "export_portouts_csv",
"params": {
"filters": {
"status__in": [],
"customer_reference__in": [
"my-customer-reference"
],
"end_user_name": "McPortersen",
"phone_numbers__overlaps": [
"+1234567890"
],
"created_at__lt": "2023-11-07T05:31:56Z",
"created_at__gt": "2023-11-07T05:31:56Z"
}
}
}
'{
"data": {
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"report_type": "export_portouts_csv",
"status": "completed",
"params": {
"filters": {
"status__in": [],
"customer_reference__in": [
"my-customer-reference"
],
"end_user_name": "McPortersen",
"phone_numbers__overlaps": [
"+1234567890"
],
"created_at__lt": "2023-11-07T05:31:56Z",
"created_at__gt": "2023-11-07T05:31:56Z"
}
},
"document_id": "f1486bae-f067-460c-ad43-73a92848f902",
"record_type": "portout_report",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const report = await client.portouts.reports.create({
params: { filters: {} },
report_type: 'export_portouts_csv',
});
console.log(report.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
report = client.portouts.reports.create(
params={
"filters": {}
},
report_type="export_portouts_csv",
)
print(report.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
report, err := client.Portouts.Reports.New(context.TODO(), telnyx.PortoutReportNewParams{
Params: telnyx.ExportPortoutsCsvReportParam{
Filters: telnyx.ExportPortoutsCsvReportFiltersParam{},
},
ReportType: telnyx.PortoutReportNewParamsReportTypeExportPortoutsCsv,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", report.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portouts.reports.ExportPortoutsCsvReport;
import com.telnyx.sdk.models.portouts.reports.ReportCreateParams;
import com.telnyx.sdk.models.portouts.reports.ReportCreateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReportCreateParams params = ReportCreateParams.builder()
.params(ExportPortoutsCsvReport.builder()
.filters(ExportPortoutsCsvReport.Filters.builder().build())
.build())
.reportType(ReportCreateParams.ReportType.EXPORT_PORTOUTS_CSV)
.build();
ReportCreateResponse report = client.portouts().reports().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
report = telnyx.portouts.reports.create(params: {filters: {}}, report_type: :export_portouts_csv)
puts(report)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$report = $client->portouts->reports->create(
params: [
'filters' => [
'createdAtGt' => new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
'createdAtLt' => new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
'customerReferenceIn' => ['my-customer-reference'],
'endUserName' => 'McPortersen',
'phoneNumbersOverlaps' => ['+1234567890'],
'statusIn' => ['pending'],
],
],
reportType: 'export_portouts_csv',
);
var_dump($report);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx portouts:reports create \
--api-key 'My API Key' \
--params '{filters: {}}' \
--report-type export_portouts_csvcurl --request POST \
--url https://api.telnyx.com/v2/portouts/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report_type": "export_portouts_csv",
"params": {
"filters": {
"status__in": [],
"customer_reference__in": [
"my-customer-reference"
],
"end_user_name": "McPortersen",
"phone_numbers__overlaps": [
"+1234567890"
],
"created_at__lt": "2023-11-07T05:31:56Z",
"created_at__gt": "2023-11-07T05:31:56Z"
}
}
}
'{
"data": {
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"report_type": "export_portouts_csv",
"status": "completed",
"params": {
"filters": {
"status__in": [],
"customer_reference__in": [
"my-customer-reference"
],
"end_user_name": "McPortersen",
"phone_numbers__overlaps": [
"+1234567890"
],
"created_at__lt": "2023-11-07T05:31:56Z",
"created_at__gt": "2023-11-07T05:31:56Z"
}
},
"document_id": "f1486bae-f067-460c-ad43-73a92848f902",
"record_type": "portout_report",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
}